Summary:	A simple interface for working with TeX documents
Name:		texworks
Version:	0.6.1
Release:	%mkrel 3
License:	GPLv2
Group:		Publishing
Url:		http://www.tug.org/texworks/
Source0:	https://github.com/TeXworks/texworks/archive/release-%{version}/%{name}-release-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5ScriptTools)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(poppler-qt5) 
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(lua) 

%description
TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc)
documents, with a Unicode-based, TeX-aware editor, integrated PDF
viewer, and a clean, simple interface accessible to casual and
non-technical users.

TeXworks is inspired by Dick Koch's award-winning TeXShop program for
Mac OS X, which has made quality typesetting through TeX accessible to
a wider community of users, without a technical or intimidating
face. The goal of TeXworks is to deliver a similarly integrated,
easy-to-use environment for users on other platforms, especially
GNU/Linux and Windows.


%prep
%setup -q -n %{name}-release-%{version}

%build
%cmake_qt5 \
	-DDESIRED_QT_VERSION=5 \
	-DTW_BUILD_ID=Mageia \
	-DWITH_PYTHON=ON \
	-DTeXworks_PLUGIN_DIR=%{_libdir}/%{name} \
	-DTeXworks_DIC_DIR=%{_datadir}/myspell
%make

%install
%make_install -C build

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.6.1-3.mga6
+ Revision: 1070649
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.6.1-2.mga6
+ Revision: 1046204
- test rebuild for poppler

* Sun May 01 2016 daviddavid <daviddavid> 0.6.1-1.mga6
+ Revision: 1008476
- new version: 0.6.1
- port to Qt5
- update Source Url from github

* Thu Apr 21 2016 tv <tv> 0.4.5-6.mga6
+ Revision: 1004206
- rebuid for libhunspell 1.4

* Fri Jan 29 2016 umeabot <umeabot> 0.4.5-5.mga6
+ Revision: 928926
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-4.mga5
+ Revision: 742913
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.5-3.mga5
+ Revision: 689854
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.5-2.mga4
+ Revision: 526000
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 malo <malo> 0.4.5-1.mga4
+ Revision: 435252
- restore documentation
- update to 0.4.5

* Mon Jan 14 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 384495
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 01 2012 malo <malo> 0.4.4-1.mga3
+ Revision: 265710
- update to 0.4.4 (patch by Jeff Robins)
- new upstream Url

* Wed Jun 13 2012 fwang <fwang> 0.4.3-2.mga3
+ Revision: 260198
- rebuild for new poppler

* Thu Dec 15 2011 malo <malo> 0.4.3-1.mga2
+ Revision: 182337
- adding spec comment. Thanks to cddesjar for the initial imported spec!
- imported package texworks

